/*
	ProWesS global variables support

	DLL linkage creation

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 07 January 1996
*/

#include "thing_h"
#include "job_h"

#include "global_h"

#define PF_THING_NAME		"Global Variables"
#define PF_THING_GET		0x47455420	/* "GET " */
#define PF_THING_SET		0x53455420	/* "SET " */
#define PF_THING_DELE		0x44454c45	/* "DELE" */
#define PF_THING_FRST		0x46525354	/* "FRST" */
#define PF_THING_NEXT		0x4e455854	/* "NEXT" */
#define PF_THING_VERSION	0x312e3030	/* "1.00" */

static ThingExtension thg_list[]={ { PF_THING_GET , GLOBALGet	   },
								   { PF_THING_SET , GLOBALSet      },
								   { PF_THING_DELE, GLOBALDelete   },
								   { PF_THING_FRST, GLOBALFirst    },
								   { PF_THING_NEXT, GLOBALNext     },
								   { THING_LISTSENTINEL          } };

static ThingDefinition thg_defn={PF_THING_NAME, PF_THING_VERSION, FALSE,
								 NULL, NULL, NULL, NULL, SYSTEM, thg_list};

Error init()
{
	Error err;
	Thing thing;

	GLOBALInit();

	/* remove old thing, unless still in use */
	err=THINGRemove(PF_THING_NAME);
	if (err && err!=ERR_ITNF) return err;

	/* link in new one */
	return THINGCreate(&thg_defn);
}
